<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulario de Superhéroes</title>

    <link rel="stylesheet" href="styles/my_form.css">


    <style>

    /*   se puede usar pero no es recomendable */

    
    </style>

</head>



<!-- DEFINICION INLINE prioridad 0 -->
<!-- <body style="background-color: green;"> -->
<body>

  <!-- SECCION FORMULARIO -->
  <section class="form-section">

    <div>
      <h2 >Formulario para Agregar Superhéroes...</h2>

    </div>
    

    <form action="/mi_form.js" method="post" id="superhero-form">

        <div>
            
          <label for="tipo">
            <span class="negrita">

              Nombre del Súper:
            </span>
          </label>
            <input type="text" id="nombre" name="nombre" required placeholder="Ingrese nombre del super...">
          </div>
          <div>
            <label for="superpoder">
              <span class="negrita">

                Superpoder:
              </span>
            </label>
            <input type="text" id="superpoder" name="superpoder" required value="Super fuerza">
          </div>
          <div>
            <label for="alias">
              <span class="negrita">

                Alias:
              </span>
            </label>
            <input type="text" id="alias" name="alias" required>
          </div>
          <div>
            <label for="contrasena">
              <span class="negrita">

                Identidad Secreta:
              </span>
              </label>
            <input type="password" id="contrasena" name="contrasena" required>
          </div>

          <div>
            <label for="tipo">
              <span class="negrita">

                Género
              </span>
            </label>
          </div>
          <div class="gender-container">
            
            <input type="radio" name="genero" id="m">
            <label for="m"> <strong>Masculino</strong> </label>
        
            
            <input type="radio" name="genero" id="f">
            <label for="f"> <span class="verde">Femenino</span> </label>
        
            
            <input type="radio" name="genero" id="o" checked>
            <label for="o">Otro</label>
        </div>

        <div>
          <label for="tipo">
            <span class="negrita">

              Poderes
            </span>
          </label>
        </div>
        <div class="checkbox-container">
          <input type="checkbox" name="poder-especial" id="poder-especial">
          <label for="poder-especial">Vuela</label>
      
          <input type="checkbox" name="poder-especial_2" id="especial_2" checked>
          <label for="especial_2">Superfuerza</label>
      
          <input type="checkbox" name="poder-especial_3" id="especial_3">
          <label for="especial_3">Leer mentes</label>
      </div>
      

          <div>

            <label for="tipo">
              <span class="negrita">

                Tipo de Super
              </span>
            </label>

            <select name="tipo" id="tipo">

                <option value="heroe"> Héroe</option>
                <option value="villano"> Villano</option>
                <option value="neutro" selected> Neutro</option>



            </select>


          </div>

          <div>
            

            <label for="tipo">
              <span class="negrita">

                Biografía
              </span>
            </label>
            <textarea id="biografia" name="biografia" rows="4" required placeholder="Ingrese descripción.."></textarea>

            

          

            
          </div>

          <div style="display:flex; justify-content: center;">
            <button type="submit">Agregar Superhéroe</button>

          </div>
          
        

    </form>


  </section>

  <!-- SECCION TABLA -->
  <table >

    <thead>

      <tr>
      
        <th>Nombre</th>
        <th>Profesion</th>
        <th>Edad</th>
  
  
  
      </tr>


    </thead>
    

    <tr>

      <td>Mauri</td>
      <td>Prog</td>
      <td>22</td>


    </tr>

    <tr>

      <td>Mauri</td>
      <td>Prog</td>
      <td>22</td>


    </tr>

    <tr>

      <td>Mauri</td>
      <td>Prog</td>
      <td>22</td>


    </tr>

    

  </table>

  <!-- REFERENCIAS CSS -->
  <section>

    <h4> Referencia Etiqueta</h6>
    <h4 class="red"> Referencia Clase</h6>
    <h4 class="red" id="violeta"> Referencia ID</h6>
    <h4 class="red" id="violeta" style="color: green;"> Referencia Inline</h6>

  </section>


  <!-- FLEXBOX -->
  <section class="contenedor">


    <div class="caja center ">Caja </div>
    <div class="caja center ">Caja </div>
    <div class="caja center verde" >Caja </div>
    <div class="caja center ">Caja </div>
    <div class="caja center ">Caja </div>



  </section>
    
    

<!-- Llamada al archivo JavaScript -->
<script src="js/my_form.js"></script>
</body>
</html>